package com.kmall.api.service.pay.wxpay;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

/**
 * @author Scott Chen
 * @since 1.0
 * 2018-09-27
 */
@Component
public class WxPayPropertiesConfiguration {
    private static final String PROD = "prod";
    private static final String DEV = "dev";

    @Value("${pay.wx.env}")
    private String evn = PROD;

    @Autowired
    private WxPayProdProperties wxPayProdProperties;

    @Autowired
    private WxPayDevProperties wxPayDevProperties;

    @Bean
    public WxPayProperties wxPayProperties(){
        if (evn.equalsIgnoreCase(PROD)) {
            return wxPayProdProperties;
        }else {
            return wxPayDevProperties;
        }
    }

}
